Bug 114140 - ipcs -lm reports incorrect max total shared memory (shmall)
Summary: ipcs -lm reports incorrect max total shared memory (shmall)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-23 00:18 UTC by Joachim Hirche
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-24 16:14:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joachim Hirche 2004-01-23 00:18:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
Set sysv ipc parm shmall 536870912 (512MB) via sysctl or 
echo 536870912 > /proc/sys/kernel/shmall

cat /proc/sys/kernel/shmall reports 536870912 (correct),
but ipcs -lm reports
    ------ Shared Memory Limits --------
    max number of segments = 4096
    max seg size (kbytes) = 262144
    max total shared memory (kbytes) = 2147483648
    min seg size (bytes) = 1

which is a tad high at 2 TB.

Version-Release number of selected component (if applicable):
util-linux-2.11y-31.1

How reproducible:
Always

Steps to Reproduce:
1. echo 536870912 > /proc/sys/kernel/shmall
2. cat /proc/sys/kernel/shmall
3. ipcs -lm
4. check line with "max total shared memory (kbytes) ="
    

Actual Results:  max total shared memory (kbytes) = 2147483648

Expected Results:  max total shared memory (kbytes) = 536870912

Additional info:

checked RHL 9 - same problem exists in util-linux-2.11y-9

Comment 1 Elliot Lee 2004-02-24 16:14:19 UTC
The /proc/sys/kernel/shmall setting is in number of memory pages - on
ia32 systems, that is 4K. The present ipcs behaviour is correct.


Note You need to log in before you can comment on or make changes to this bug.